Package fr.gouv.vitam.functionaltest.cucumber.step

# Class ProfileStep

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.step.CommonStep
fr.gouv.vitam.functionaltest.cucumber.step.ProfileStep

public class ProfileStep extends CommonStep
Profile Step

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `CommonStep.MyRunnable`

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `world`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProfileStep(World world)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `a_profile_named(String fileName)`
  ★★★ define a sip ★★★
  `void`
  `create_profile()`
  `void`
  `create_profile_ignoring_failure()`
  `void`
  `create_profile_with_expected_failure()`
  `void`
  `import_profile()`
  `void`
  `import_profile_ignoring_failure()`
  `void`
  `import_profile_with_expected_failure()`
  `void`
  `metadata_are(io.cucumber.datatable.DataTable dataTable)`
  `void`
  `profile_found()`
  `void`
  `profile_not_found()`
  `void`
  `search_profiles(String name)`

  ### Methods inherited from class fr.gouv.vitam.functionaltest.cucumber.step.CommonStep

  `checkOperationStatus, runInVitamThread`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProfileStep

    public ProfileStep(World world)

- ## Method Details

  - ### a_profile_named

    @Given("^un profil nomm\u00e9 (.*)$") public void a_profile_named(String fileName)
    ★★★ define a sip ★★★
    Parameters:
      `fileName` - name of a sip

  - ### create_profile

    @When("^j\'importe le profile d\'archivage$") public void create_profile() throws AccessExternalClientException, IOException, InvalidParseOperationException
    Throws:
      `InvalidParseOperationException`
      `IOException`
      `AccessExternalClientException`

  - ### create_profile_ignoring_failure

    @When("^j\'importe le profile d\'archivage sans \u00e9chec$") public void create_profile_ignoring_failure() throws AccessExternalClientException, IOException, InvalidParseOperationException
    Throws:
      `InvalidParseOperationException`
      `IOException`
      `AccessExternalClientException`

  - ### create_profile_with_expected_failure

    @When("^j\'importe le profile d\'archivage incorrect$") public void create_profile_with_expected_failure() throws AccessExternalClientException, IOException, InvalidParseOperationException
    Throws:
      `AccessExternalClientException`
      `IOException`
      `InvalidParseOperationException`

  - ### import_profile

    @When("^je rattache un ficher \u00e0 ce profil d\'archivage$") public void import_profile() throws InvalidParseOperationException, IOException, AccessExternalClientException
    Throws:
      `InvalidParseOperationException`
      `IOException`
      `AccessExternalClientException`

  - ### import_profile_ignoring_failure

    @When("^je rattache un ficher \u00e0 ce profil d\'archivage sans \u00e9chec$") public void import_profile_ignoring_failure() throws InvalidParseOperationException, IOException, AccessExternalClientException
    Throws:
      `InvalidParseOperationException`
      `IOException`
      `AccessExternalClientException`

  - ### import_profile_with_expected_failure

    @When("^je rattache un ficher incorrect \u00e0 ce profil d\'archivage") public void import_profile_with_expected_failure() throws InvalidParseOperationException, IOException, AccessExternalClientException
    Throws:
      `InvalidParseOperationException`
      `IOException`
      `AccessExternalClientException`

  - ### search_profiles

    @When("^je cherche un profil nomm\u00e9 (.*)") public void search_profiles(String name) throws AccessExternalClientException, InvalidParseOperationException, InvalidCreateOperationException, VitamClientException
    Throws:
      `AccessExternalClientException`
      `InvalidParseOperationException`
      `InvalidCreateOperationException`
      `VitamClientException`

  - ### profile_found

    @Then("^le profil existe$") public void profile_found()

  - ### profile_not_found

    @Then("^le profil n\'existe pas$") public void profile_not_found()

  - ### metadata_are

    @Then("^les m\u00e9tadonn\u00e9es du profil sont$") public void metadata_are(io.cucumber.datatable.DataTable dataTable) throws Throwable
    Throws:
      `Throwable`